Package com.studica.frc

## Enum Lidar.Filter

- java.lang.Object
- - java.lang.Enum<Lidar.Filter>
  - - com.studica.frc.Lidar.Filter

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Lidar.Filter>`

Enclosing class:
  Lidar

    public static enum Lidar.Filter
    extends java.lang.Enum<Lidar.Filter>

kCLUSTER - Cluster Filter

kKALMAN - Kalman Filter

kMOVINGAVERAGE - Moving Average Filter

kMEDIAN - Median Filter

kJITTER - Jitter Filter

### Enum Constant Summary

Enum Constants
`kCLUSTER`
`kJITTER`
`kKALMAN`
`kMEDIAN`
`kMOVINGAVERAGE`

### Field Summary

Fields
`int` `value`

### Method Summary

All Methods Static Methods Concrete Methods
`static Lidar.Filter` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Lidar.Filter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### kCLUSTER

    public static final Lidar.Filter kCLUSTER

#### kKALMAN

    public static final Lidar.Filter kKALMAN

#### kMOVINGAVERAGE

    public static final Lidar.Filter kMOVINGAVERAGE

#### kMEDIAN

    public static final Lidar.Filter kMEDIAN

#### kJITTER

    public static final Lidar.Filter kJITTER

### Field Detail

#### value

    public final int value

### Method Detail

#### values

    public static Lidar.Filter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Lidar.Filter c : Lidar.Filter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Lidar.Filter valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null